For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create Property API

Create a property

post
/properties

Create a property. The created property is returned with 201 Created.

Authorizations
user-api-keystringRequired

API key for programmatic access, sent in the user-api-key header.

Body

Request body accepted when creating a property.

Responses
201

201 Created response wrapping a resource body.

application/json

JSON:API document wrapping a single resource.

post/properties
POST /api/v1/properties HTTP/1.1
Host: app.channex.io
user-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 1365

{
  "property": {
    "title": "Demo Hotel",
    "currency": "GBP",
    "email": "name@gmail.com",
    "phone": "+44 99 9999 9999",
    "zip_code": "XXX XXX",
    "country": "GB",
    "state": "Wales",
    "city": "Cardiff",
    "address": "123 High Street",
    "longitude": "-0.2416781",
    "latitude": "51.5285582",
    "timezone": "Europe/London",
    "property_type": "apart_hotel",
    "logo_url": "https://example.com/logo.png",
    "website": "https://example.com",
    "hotel_policy_id": "716305c4-561a-4561-a187-7f5b8aeb5920",
    "default_cancellation_policy_id": "716305c4-561a-4561-a187-7f5b8aeb5920",
    "default_tax_set_id": "716305c4-561a-4561-a187-7f5b8aeb5920",
    "location_precision": 1,
    "group_id": "716305c4-561a-4561-a187-7f5b8aeb5920",
    "facilities": [
      "716305c4-561a-4561-a187-7f5b8aeb5920"
    ],
    "settings": {
      "allow_availability_autoupdate_on_confirmation": true,
      "allow_availability_autoupdate_on_modification": true,
      "allow_availability_autoupdate_on_cancellation": true,
      "min_stay_type": "both",
      "state_length": 500,
      "cut_off_time": "00:00:00",
      "cut_off_days": 0,
      "max_day_advance": 365,
      "min_price": "100.00",
      "max_price": "300.00"
    },
    "content": {
      "description": "A lovely hotel in the city center.",
      "important_information": "Check-in from 3 PM. No pets allowed.",
      "photos": [
        {
          "id": "cc673f90-8d65-498d-9ee7-b4b39f8df3ee",
          "url": "https://example.com/temporaryphotos/a66edb22-47da-4da8-bab5-3b6f4056256f.png",
          "kind": "photo",
          "author": "John Doe",
          "description": "Room View",
          "is_removed": true
        }
      ]
    }
  }
}
{
  "data": {
    "type": "property",
    "id": "716305c4-561a-4561-a187-7f5b8aeb5920",
    "attributes": {
      "id": "716305c4-561a-4561-a187-7f5b8aeb5920",
      "is_active": true,
      "is_demo": true,
      "expected_removal_date": "2026-12-31",
      "acc_channels_count": 1,
      "property_category": "hotel",
      "max_count_of_room_types": 20,
      "max_count_of_rate_plans": 200,
      "max_count_of_occupancies": 8,
      "max_count_of_users": 20,
      "title": "Demo Hotel",
      "currency": "GBP",
      "email": "name@gmail.com",
      "phone": "+44 99 9999 9999",
      "zip_code": "XXX XXX",
      "country": "GB",
      "state": "Wales",
      "city": "Cardiff",
      "address": "123 High Street",
      "longitude": "-0.2416781",
      "latitude": "51.5285582",
      "timezone": "Europe/London",
      "property_type": "apart_hotel",
      "logo_url": "https://example.com/logo.png",
      "website": "https://example.com",
      "hotel_policy_id": "716305c4-561a-4561-a187-7f5b8aeb5920",
      "default_cancellation_policy_id": "716305c4-561a-4561-a187-7f5b8aeb5920",
      "default_tax_set_id": "716305c4-561a-4561-a187-7f5b8aeb5920",
      "location_precision": 1,
      "settings": {
        "allow_availability_autoupdate_on_confirmation": true,
        "allow_availability_autoupdate_on_modification": true,
        "allow_availability_autoupdate_on_cancellation": true,
        "min_stay_type": "both",
        "state_length": 500,
        "cut_off_time": "00:00:00",
        "cut_off_days": 0,
        "max_day_advance": 365,
        "min_price": "100.00",
        "max_price": "300.00"
      },
      "content": {
        "description": "A lovely hotel in the city center.",
        "important_information": "Check-in from 3 PM. No pets allowed.",
        "photos": [
          {
            "id": "cc673f90-8d65-498d-9ee7-b4b39f8df3ee",
            "property_id": "52397a6e-c330-44f4-a293-47042d3a3607",
            "room_type_id": "716305c4-561a-4561-a187-7f5b8aeb5920",
            "kind": "photo",
            "position": 0,
            "author": "John Doe",
            "description": "Room View",
            "url": "https://images.channex.io/1747b751-28c0-47db-742a-40f62a186a00/"
          }
        ]
      }
    },
    "relationships": {
      "users": {
        "data": [
          {
            "type": "user",
            "id": "716305c4-561a-4561-a187-7f5b8aeb5920",
            "attributes": {
              "id": "716305c4-561a-4561-a187-7f5b8aeb5920",
              "name": "Channex User",
              "email": "user@channex.io"
            }
          }
        ]
      },
      "groups": {
        "data": [
          {
            "type": "group",
            "id": "716305c4-561a-4561-a187-7f5b8aeb5920",
            "attributes": {
              "id": "716305c4-561a-4561-a187-7f5b8aeb5920",
              "title": "My Hotel"
            }
          }
        ]
      },
      "facilities": {
        "data": [
          {
            "type": "facility",
            "id": "716305c4-561a-4561-a187-7f5b8aeb5920",
            "attributes": {
              "id": "864d91a6-3a40-4098-a880-84b841e11adb",
              "category": "general",
              "title": "24-hour front desk"
            }
          }
        ]
      },
      "hotel_policies": {
        "data": [
          {
            "type": "hotel_policy",
            "id": "716305c4-561a-4561-a187-7f5b8aeb5920",
            "attributes": {
              "id": "cfe101bf-126c-4031-8d73-27739929329a",
              "title": "Hotel Policy",
              "pets_policy": "allowed",
              "smoking_policy": "no_smoking",
              "checkin_from_time": "14:00",
              "checkin_to_time": "23:30",
              "checkout_from_time": "11:00",
              "checkout_to_time": "12:00"
            }
          }
        ]
      },
      "cancellation_policies": {
        "data": [
          {
            "type": "cancellation_policy",
            "id": "716305c4-561a-4561-a187-7f5b8aeb5920",
            "attributes": {
              "id": "716305c4-561a-4561-a187-7f5b8aeb5920",
              "title": "My Hotel"
            }
          }
        ]
      },
      "tax_sets": {
        "data": [
          {
            "type": "tax_set",
            "id": "716305c4-561a-4561-a187-7f5b8aeb5920",
            "attributes": {
              "id": "716305c4-561a-4561-a187-7f5b8aeb5920",
              "title": "My Hotel"
            }
          }
        ]
      }
    }
  }
}

Last updated